com.mysql.cj.conf

## Enum ConnectionUrl.HostsCardinality

- java.lang.Object
- - java.lang.Enum<ConnectionUrl.HostsCardinality>
  - - com.mysql.cj.conf.ConnectionUrl.HostsCardinality

All Implemented Interfaces:
  Serializable, Comparable<ConnectionUrl.HostsCardinality>

Enclosing class:
  ConnectionUrl

    public static enum ConnectionUrl.HostsCardinality
    extends Enum<ConnectionUrl.HostsCardinality>

The rules describing the number of hosts a database URL may contain.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MULTIPLE`
`ONE_OR_MORE`
`SINGLE`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `assertSize(int n)`
`static ConnectionUrl.HostsCardinality` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectionUrl.HostsCardinality[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SINGLE

    public static final ConnectionUrl.HostsCardinality SINGLE

#### MULTIPLE

    public static final ConnectionUrl.HostsCardinality MULTIPLE

#### ONE_OR_MORE

    public static final ConnectionUrl.HostsCardinality ONE_OR_MORE

### Method Detail

#### values

    public static ConnectionUrl.HostsCardinality[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConnectionUrl.HostsCardinality c : ConnectionUrl.HostsCardinality.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConnectionUrl.HostsCardinality valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### assertSize

    public abstract boolean assertSize(int n)

Copyright © 2016, 2025, Oracle and/or its affiliates.